Name:          error-prone
# Latest release use guava 19.0
Version:       2.0.7
Release:       1%{?dist}
Summary:       Catch common Java mistakes as compile-time errors
License:       ASL 2.0
URL:           https://github.com/google/error-prone/
Source0:       https://github.com/google/error-prone/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.beust:jcommander)
BuildRequires: mvn(com.github.spullara.mustache.java:compiler)
BuildRequires: mvn(com.github.stephenc.jcip:jcip-annotations)
BuildRequires: mvn(com.google.auto.service:auto-service)
BuildRequires: mvn(com.google.auto.value:auto-value)
BuildRequires: mvn(com.google.code.findbugs:jFormatString)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(com.google.code.gson:gson)
# com.google.errorprone:javac:1.9.0-dev-r2973-2
BuildRequires: mvn(com.google.errorprone:javac)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.guava:guava-testlib)
BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(com.google.inject.extensions:guice-assistedinject)
BuildRequires: mvn(com.google.inject.extensions:guice-servlet)
# jimfs:1.0
#BuildRequires: mvn(com.google.jimfs:jimfs)
BuildRequires: mvn(com.google.protobuf:protobuf-java)
# compile-testing:0.6
#BuildRequires: mvn(com.google.testing.compile:compile-testing)
BuildRequires: mvn(com.google.truth:truth)
BuildRequires: mvn(com.ibm.icu:icu4j)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.checkerframework:dataflow)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.jmock:jmock)
BuildRequires: mvn(org.jmock:jmock-junit4)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.pcollections:pcollections)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.yaml:snakeyaml)

BuildArch:     noarch

%description
Error prone is a library for matching Javac ASTs, and detecting common
Java programming mistakes.

%package annotation
Summary:       Error prone @BugPattern annotation

%description annotation
Describes a bug pattern detected by error-prone. Used
to generate compiler error messages, for @SuppressWarnings,
and to generate the documentation that we host on our web site.

%package annotations
Summary:       Error prone annotations

%description annotations
Error prone annotations.

%package ant
Summary:       Error prone Ant Tasks

%description ant
Error prone Ant build support:
- Adapts the error-prone compiler to
  be used in an Ant build.
- Ant component to launch an external
  javac with error-prone enabled.

%package docgen
Summary:       JSR-269 annotation processor for @BugPattern annotation

%description docgen
Annotation processor which visits all classes that
have a @BugPattern annotation, and writes a tab-delimited
text file dumping the data found.

%package parent
Summary:       Error Prone Parent POM

%description parent
Error Prone Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n error-prone-%{version}
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

%pom_remove_plugin -r :maven-shade-plugin
%pom_remove_plugin :maven-source-plugin

%pom_change_dep :junit-dep :junit annotation
%pom_change_dep :junit-dep :junit annotations

%build
# No test deps: com.google.jimfs:jimfs:1.0, com.google.testing.compile:compile-testing:0.6
%mvn_build -sf

%install
%mvn_install

%files -f .mfiles-error_prone_core
%doc README.md

%files annotation -f .mfiles-error_prone_annotation
%license COPYING

%files annotations -f .mfiles-error_prone_annotations
%license COPYING

%files ant -f .mfiles-error_prone_ant
%files docgen -f .mfiles-error_prone_docgen
%files parent -f .mfiles-error_prone_parent
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING

%changelog
* Sat Feb 13 2016 gil cattaneo <puntogil@libero.it> 2.0.7-1
- initial rpm
